Subject: RE: accept() blocking
From: "Robert Collins" <[email-masked]>
To: "Matt Minnis" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Aug 2000 10:04:12 +1000

Matt, 
 as per my previous response.. 
http://sources.redhat.com/ml/cygwin/2000-08/msg00315.html

there is a workaround...

http://sources.redhat.com/ml/cygwin-apps/2000-06/msg00044.html

I haven't had time to look at checking the flags in the fcntl call and
calling ioctl for non-blocking and related things (I'm not even sure
that would be the best way to hadnle this - Comments anyone?) so I
believe you have two choices to solve your problem .. work around it or
submit a patch for cygwin1.dll

Rob

> -----Original Message-----
> From: Matt Minnis [mailto:[email-masked]]
> Sent: Thursday, 10 August 2000 2:15 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: accept() blocking
> 
> 
> I am having a problem.  I am using cygwin 1.1.3
> 
> With a telnet socket opened as:
> 
> *fd = socket(AF_INET,SOCK_STREAM,0);
> 
> fcntl(*fd, F_SETFL, O_NONBLOCK);
> 
> When I call accept(.....) like:
> 
> int *status = malloc(sizeof(int));
> *status = accept(*fd, NULL, 0);
> 
> The program will sit and wait for a telnet session to connect.  If a 
> session is already connected, it will do the NONBLOCK like it 
> is supposed to.
> 
> Thanks,
> 
> Matt
> 
> 
> Cthulhu for President. Why settle for a lesser evil?
> 
> =========================================================
> Preferred Resources          (314) 567-7600 phone
> 701 Emerson rd.              (314) 993-6699 fax
> Suite 475		       [email-masked]
> St. Louis, MO
> 63141
> =========================================================
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]